#! /bin/bash

export PKG_CONFIG_LIBDIR="$PREFIX/lib/pkgconfig:$PREFIX/share/pkgconfig"

if [ "${target_platform}" = "osx-64" ] ; then
    CONDA_BUILD_SYSROOT=/opt/MacOSX10.9.sdk
elif [ "${target_platform}" = "linux-64" ] ; then
    export PKG_CONFIG_LIBDIR="${PKG_CONFIG_LIBDIR}:$BUILD_PREFIX/$HOST/sysroot/usr/lib64/pkgconfig"
    export LD_LIBRARY_PATH="${PREFIX}/lib:$PREFIX/$HOST/sysroot/usr/lib64:$BUILD_PREFIX/$HOST/sysroot/usr/lib64"
    export CONFIG_EXTRA="--enable-pixbuf-loader "
    export PATH="$PATH:$BUILD_PREFIX/$HOST/sysroot/usr/bin"
fi

#In case any of the GTK dependencies contain libtool files
# conda-build #3102 should fix this, but the dependency might have been built without this.
find $CONDA_PREFIX -name '*.la' -delete
find $PREFIX -name '*.la' -delete

./configure --prefix=${PREFIX} ${CONFIG_EXTRA} \
    --host=${HOST} \
    --disable-Bsymbolic \
    --disable-introspection \
    || { cat config.log ; exit 1 ; }

make -j$CPU_COUNT
make install -j$CPU_COUNT

cd $PREFIX
#In case any of the GTK dependencies contain libtool files
# conda-build #3102 should fix this, but the dependency might have been built without this.
find $PREFIX -name '*.la' -delete
find $PREFIX -name '*.a' -delete
rm -rf share/gtk-doc
